| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Intercept and Treatment

Intercept And Treatment Definitions and Methods. More...

## Classes
struct | unsp__GetInterceptListData
| Get Intercept List Data. More...
struct | unsp__GetInterceptListResult
| Get Intercept List result. More...
struct | unsp__GetInterceptListRequest
| Get Intercept List request. More...
class | InterceptId
| Intercept Id. More...
class | TreatmentId
| Treatment Id. More...
class | ToneInfo
| Tone Treatment data. More...
class | AnnounceInfo
| Announcement Treatment data. More...
class | ModifyAnnounceInfo
| Modify Announcement Treatment data. More...
class | ServiceInfo
| Service Treatment data. More...
class | InterceptData
| Intercept data. More...
class | unsp__ArrayOfInterceptData
| Array of Intercept data. More...
class | TreatmentDataInfo
| Treatment data. More...
class | unsp__ArrayOfTreatmentDataInfo
| Array of Treatment data. More...
class | unsp__InterceptRequest
| Create Intercept request. More...
struct | unsp__CreateInterceptResult
| Create Intercept result. More...
class | unsp__ModifyIntercept
| Modify Intercept request. More...
struct | unsp__ModifyInterceptResult
| Modify Intercept result. More...
class | unsp__RemoveInterceptRequest
| Remove Intercept request. More...
struct | unsp__RemoveInterceptResult
| Remove Intercept result. More...
class | unsp__QueryInterceptRequest
| Query Intercept request. More...
class | unsp__Intercept
| Intercept data. More...
class | unsp__ArrayOfIntercept
| Array of Intercepts. More...
struct | unsp__InterceptResult
| Query Intercept result. More...
class | unsp__TreatmentData
| Treatment data. More...
struct | unsp__AssignTreatmentResult
| Assign Treatment result. More...
class | unsp__ModifyTreatmentData
| Modify Treatment data. More...
struct | unsp__ModifyTreatmentResult
| Modify Treatment result. More...
class | unsp__UnassignTreatmentId
| Treatment Id data. More...
struct | unsp__UnassignTreatmentResult
| Unassign Treatment result. More...
class | unsp__QueryTreatmentRequest
| Query Treatment request. More...
class | unsp__Treatment
| Treatment data. More...
class | unsp__ArrayOfTreatment
| Array of Treatment data. More...
struct | unsp__TreatmentResult
| Query Treatment result. More...
class | unsp__PrioritizeTreatmentRequest
| Prioritize Treatment request. More...
struct | unsp__PrioritizeTreatmentResult
| Prioritize Treatment result. More...
struct | unsp__PartialResult
| Partial Result. More...
struct | unsp__ResultCodeList
| List of Result code structures. More...
struct | unsp__BulkTreatmentDestination
| Holds Custom Destination data. More...
struct | unsp__BulkTreatmentInfo
| Bulk Treatment data. More...
struct | unsp__BulkAssignTreatmentsRequest
| Bulk Assign Treatments request. More...
struct | unsp__BulkAssignTreatmentsResult
| Bulk Assign Treatments result. More...
struct | unsp__BulkModifyTreatmentsRequest
| Bulk Modify Treatments request. More...
struct | unsp__BulkModifyTreatmentsResult
| Bulk Modify Treatments result. More...
struct | unsp__BulkUnassignTreatmentsRequest
| Bulk Unassign Treatments request. More...
struct | unsp__BulkUnassignTreatmentsResult
| Bulk Unassign Treatments result. More...

## Enumerations
enum | unsp__IsDefault { IsDefaultUnassigned = -1, IsDefaultDontcare, IsDefaultYes, IsDefaultNo }
| Is Default Intercept. More...
enum | unsp__TreatmentType { TreatmentTypeUnused = -1, TreatmentTypeUnassigned = 0, TreatmentTypeTone, TreatmentTypeAnnouncement, TreatmentTypeRelCall, TreatmentTypeService }
| Treatment Type. More...
enum | unsp__TreatmentOrder { TreatmentOrderUnused = -1, TreatmentOrderFirst = 1, TreatmentOrderSecond, TreatmentOrderThird }
| Treatment Order. More...
enum | unsp__InterceptDestinationType { ICDtUnused = -1, ICDtUnassigned = 1, ICDtDest = 5, ICDtMediaGateway = 12, ICDtOrigDestMs = 26 }
| Intercept Destination Type. More...
enum | unsp__FilterSet { FilterSetUnused = -1, FilterSetAll = 2, FilterSetAbstract, FilterSetConcrete, FilterSetSystem, FilterSetUser, FilterSetDefault }
| Query Intercept Filter. More...
enum | unsp__BulkTreatmentDestType { BulkTreatmentDestTypeDefault, BulkTreatmentDestTypeCustom }
| Specifies whether the default or a custom destination will be used for the default Announcement treatments. More...

## Functions
int | unsp__GetInterceptList (struct unsp__GetInterceptListRequest GetInterceptListRequest, struct unsp__GetInterceptListResult *InterceptListResult)
| This method retrieves a list of the Intercepts that are defined on the system. More...
int | unsp__createIntercept (unsp__InterceptRequest CreateInterceptRequest, struct unsp__CreateInterceptResult *CreateInterceptResult)
| Creates an an Intercept, which is a series of treatments, where each treatment is a recorded announcement, a tone, an operator, or some combination of these. More...
int | unsp__modifyIntercept (unsp__ModifyIntercept ModifyInterceptRequest, struct unsp__ModifyInterceptResult *ModifyInterceptResult)
| Modifies an Intercept. More...
int | unsp__removeIntercept (unsp__RemoveInterceptRequest RemoveInterceptRequest, struct unsp__RemoveInterceptResult *RemoveInterceptResult)
| Removes an Intercept. More...
int | unsp__queryIntercept (unsp__QueryInterceptRequest QueryInterceptRequest, struct unsp__InterceptResult *QueryInterceptResult)
| Queries Intercepts. More...
int | unsp__assignTreatment (unsp__TreatmentData AssignTreatmentRequest, struct unsp__AssignTreatmentResult *AssignTreatmentResult)
| Assigns a Treatment to an existing Intercept. More...
int | unsp__modifyTreatment (unsp__ModifyTreatmentData ModifyTreatmentRequest, struct unsp__ModifyTreatmentResult *ModifyTreatmentResult)
| Modifies a Treatment. More...
int | unsp__unassignTreatment (unsp__UnassignTreatmentId UnassignTreatmentRequest, struct unsp__UnassignTreatmentResult *UnassignTreatmentResult)
| Unassigns a Treatment from an Intercept. More...
int | unsp__queryTreatment (unsp__QueryTreatmentRequest QueryTreatmentRequest, struct unsp__TreatmentResult *QueryTreatmentResult)
| Queries Treatments. More...
int | unsp__prioritizeTreatment (unsp__PrioritizeTreatmentRequest PrioritizeTreatmentRequest, struct unsp__PrioritizeTreatmentResult *PrioritizeTreatmentResult)
| Change the ordered priority of a Treatment. More...
int | unsp__BulkAssignTreatments (struct unsp__BulkAssignTreatmentsRequest BulkAssignTreatmentsRequest, struct unsp__BulkAssignTreatmentsResult *BulkAssignTreatmentsResult)
| Allows the provisioning of the default Announcement, Calea and Conference Treatments. More...
int | unsp__BulkModifyTreatments (struct unsp__BulkModifyTreatmentsRequest BulkModifyTreatmentsRequest, struct unsp__BulkModifyTreatmentsResult *BulkModifyTreatmentsResult)
| Allows the bulk modification of the existing (default and custom) Announcement, Calea and Conference Treatments for the default intercepts. More...
int | unsp__BulkUnassignTreatments (struct unsp__BulkUnassignTreatmentsRequest BulkUnassignTreatmentsRequest, struct unsp__BulkUnassignTreatmentsResult *BulkUnassignTreatmentsResult)
| Allows the bulk removal of the existing default and user-defined Announcement, Calea and Conference Treatments. More...

## Detailed Description

Intercept And Treatment Definitions and Methods.

Intercepts are sequences of up to three treatments (for example, tones and/or announcements) OpenScape Voice and its media servers repeat a specified number of times. The administrator defines the properties of each treatment, such as a tone's duration or whether an announcement is "barge-in" or "non-barge-in." Once OpenScape Voice and its media servers have finished playing an intercept's treatments as configured in the intercept, OpenScape Voice returns the calling party line to idle, except in the case of calls from analog lines.

OpenScape Voice provides a series of system pre-defined intercepts that cannot be deleted. In addition user-defined intercepts can be provisioned. The administrator can assign treatments to and unassign treatments from intercepts, as well as editing the properties of these treatments and changing the order in which OpenScape Voice requests the treatments within the intercept.

The default Openscape Voice treatments can be provisioned using the unsp__BulkAssignTreatments() method.

## Enumeration Type Documentation

## ◆ unsp__BulkTreatmentDestType

enum unsp__BulkTreatmentDestType

Specifies whether the default or a custom destination will be used for the default Announcement treatments.

Enumerator
BulkTreatmentDestTypeDefault | Default.
BulkTreatmentDestTypeCustom | Custom.

## ◆ unsp__FilterSet

enum unsp__FilterSet

Query Intercept Filter.

Enumerator
FilterSetUnused | Unused.
FilterSetAll | All.
FilterSetAbstract | Abstract: intercepts without treatments.
FilterSetConcrete | Concrete: intercepts with treatments.
FilterSetSystem | System.
FilterSetUser | User.
FilterSetDefault | Default.

## ◆ unsp__InterceptDestinationType

enum unsp__InterceptDestinationType

Intercept Destination Type.

Enumerator
ICDtUnused | Unused.
ICDtUnassigned | Unassigned.
ICDtDest | Destination.
ICDtMediaGateway | Media Gateway.
ICDtOrigDestMs | Media Server.

## ◆ unsp__IsDefault

enum unsp__IsDefault

Is Default Intercept.

Enumerator
IsDefaultUnassigned | Unassigned.
IsDefaultDontcare | Ignored.
IsDefaultYes | Yes.
IsDefaultNo | No.

## ◆ unsp__TreatmentOrder

enum unsp__TreatmentOrder

Treatment Order.

Enumerator
TreatmentOrderUnused | Unused.
TreatmentOrderFirst | First.
TreatmentOrderSecond | Second.
TreatmentOrderThird | Third.

## ◆ unsp__TreatmentType

enum unsp__TreatmentType

Treatment Type.

Enumerator
TreatmentTypeUnused | Unused.
TreatmentTypeUnassigned | Unassigned.
TreatmentTypeTone | Tone.
TreatmentTypeAnnouncement | Announcement.
TreatmentTypeRelCall | Release Call.
TreatmentTypeService | Service.

## Function Documentation

## ◆ unsp__assignTreatment()

unsp__assignTreatment | ( | unsp__TreatmentData | AssignTreatmentRequest,
|  | struct unsp__AssignTreatmentResult * | AssignTreatmentResult
| ) |  |

Assigns a Treatment to an existing Intercept.

A treatment can be defined as a tone or announcement. Each tone is identified by a system defined tone ID and lasts for a given duration.

Parameters

  AssignTreatmentRequest | API request
  AssignTreatmentResult | API result MP2 command: AssignTreatment [Attributes]

## ◆ unsp__BulkAssignTreatments()

unsp__BulkAssignTreatments | ( | struct unsp__BulkAssignTreatmentsRequest | BulkAssignTreatmentsRequest,
|  | struct unsp__BulkAssignTreatmentsResult * | BulkAssignTreatmentsResult
| ) |  |

Allows the provisioning of the default Announcement, Calea and Conference Treatments.

The API invocation will fail when treatments are provisioned for the default intercepts. The administrator may choose to use the default origin destination (AnnOrigDest, CaleaOrigDest, CnfOrigDest) or a custom destination for each group of treatments.

Parameters

  BulkAssignTreatmentsRequest | API request
  BulkAssignTreatmentsResult | API result

## ◆ unsp__BulkModifyTreatments()

unsp__BulkModifyTreatments | ( | struct unsp__BulkModifyTreatmentsRequest | BulkModifyTreatmentsRequest,
|  | struct unsp__BulkModifyTreatmentsResult * | BulkModifyTreatmentsResult
| ) |  |

Allows the bulk modification of the existing (default and custom) Announcement, Calea and Conference Treatments for the default intercepts.

The administrator may choose to use the default origin destination (AnnOrigDest, CaleaOrigDest, CnfOrigDest) or a custom destination for each group of treatments.

Parameters

  BulkModifyTreatmentsRequest | API request
  BulkModifyTreatmentsResult | API result

## ◆ unsp__BulkUnassignTreatments()

unsp__BulkUnassignTreatments | ( | struct unsp__BulkUnassignTreatmentsRequest | BulkUnassignTreatmentsRequest,
|  | struct unsp__BulkUnassignTreatmentsResult * | BulkUnassignTreatmentsResult
| ) |  |

Allows the bulk removal of the existing default and user-defined Announcement, Calea and Conference Treatments.

Parameters

  BulkUnassignTreatmentsRequest | API request
  BulkUnassignTreatmentsResult | API result

## ◆ unsp__createIntercept()

unsp__createIntercept | ( | unsp__InterceptRequest | CreateInterceptRequest,
|  | struct unsp__CreateInterceptResult * | CreateInterceptResult
| ) |  |

Creates an an Intercept, which is a series of treatments, where each treatment is a recorded announcement, a tone, an operator, or some combination of these.

The sequence of treatments can be repeated for a certain number of cycles. Intercepts are provided for calls that cannot be completed as dialed.

Parameters

  CreateInterceptRequest | API request
  CreateInterceptResult | API result MP2 command: Intercept [Attributes]

## ◆ unsp__GetInterceptList()

unsp__GetInterceptList | ( | struct unsp__GetInterceptListRequest | GetInterceptListRequest,
|  | struct unsp__GetInterceptListResult * | InterceptListResult
| ) |  |

This method retrieves a list of the Intercepts that are defined on the system.

Parameters

  GetInterceptListRequest | API request
  InterceptListResult | API result

## ◆ unsp__modifyIntercept()

unsp__modifyIntercept | ( | unsp__ModifyIntercept | ModifyInterceptRequest,
|  | struct unsp__ModifyInterceptResult * | ModifyInterceptResult
| ) |  |

Modifies an Intercept.

Parameters

  ModifyInterceptRequest | API request
  ModifyInterceptResult | API result MP2 command: ModifyIntercept [Attributes]

## ◆ unsp__modifyTreatment()

unsp__modifyTreatment | ( | unsp__ModifyTreatmentData | ModifyTreatmentRequest,
|  | struct unsp__ModifyTreatmentResult * | ModifyTreatmentResult
| ) |  |

Modifies a Treatment.

Note that TreatmentType cannot be modified. If the TreatmentType is Tone, the Tone Name and Duration may be modified. If the TreatmentType is Announce, any of the Announcement related parameters may be modified. If the TreatmentType is Relcall, only the SipReasonId may be modified.

Parameters

  ModifyTreatmentRequest | API request
  ModifyTreatmentResult | API result MP2 command: ModifyTreatment [Attributes]

## ◆ unsp__prioritizeTreatment()

unsp__prioritizeTreatment | ( | unsp__PrioritizeTreatmentRequest | PrioritizeTreatmentRequest,
|  | struct unsp__PrioritizeTreatmentResult * | PrioritizeTreatmentResult
| ) |  |

Change the ordered priority of a Treatment.

Parameters

  PrioritizeTreatmentRequest | API request
  PrioritizeTreatmentResult | API result MP2 command: PrioritizeTreatment [Attributes]

## ◆ unsp__queryIntercept()

unsp__queryIntercept | ( | unsp__QueryInterceptRequest | QueryInterceptRequest,
|  | struct unsp__InterceptResult * | QueryInterceptResult
| ) |  |

Queries Intercepts.

Parameters

  QueryInterceptRequest | API request
  QueryInterceptResult | API result

## ◆ unsp__queryTreatment()

unsp__queryTreatment | ( | unsp__QueryTreatmentRequest | QueryTreatmentRequest,
|  | struct unsp__TreatmentResult * | QueryTreatmentResult
| ) |  |

Queries Treatments.

Parameters

  QueryTreatmentRequest | API request
  QueryTreatmentResult | API result

## ◆ unsp__removeIntercept()

unsp__removeIntercept | ( | unsp__RemoveInterceptRequest | RemoveInterceptRequest,
|  | struct unsp__RemoveInterceptResult * | RemoveInterceptResult
| ) |  |

Removes an Intercept.

Parameters

  RemoveInterceptRequest | API request
  RemoveInterceptResult | API result MP2 command: RemoveIntercept [Attributes]

## ◆ unsp__unassignTreatment()

unsp__unassignTreatment | ( | unsp__UnassignTreatmentId | UnassignTreatmentRequest,
|  | struct unsp__UnassignTreatmentResult * | UnassignTreatmentResult
| ) |  |

Unassigns a Treatment from an Intercept.

Parameters

  UnassignTreatmentRequest | API request
  UnassignTreatmentResult | API result MP2 command: UnassignTreatment [Attributes]